org.apache.ignite.internal.cache.query.index.sorted.inline

## Class JavaObjectKeySerializer

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.inline.JavaObjectKeySerializer

    public class JavaObjectKeySerializer
    extends Object

Serializer for representing JO as byte array in inline.

### Constructor Summary

Constructors
Constructor and Description
`JavaObjectKeySerializer(IgniteConfiguration cfg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `deserialize(byte[] bytes)`
`byte[]` `serialize(Object obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaObjectKeySerializer

    public JavaObjectKeySerializer(IgniteConfiguration cfg)

Constructor.

Parameters:
  `cfg` - Ignite configuration.

### Method Detail

#### serialize

    public byte[] serialize(Object obj)
                     throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### deserialize

    public Object deserialize(byte[] bytes)
                       throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022